<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/ButtonsCommanderEncoder.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('ButtonsCommanderEncoder_8cpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">ButtonsCommanderEncoder.cpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">project: &lt;Commanders&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">author: &lt;Thierry PARIS&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">description: &lt;Encoder returning a current value, or a moving direction.&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">*************************************************************/</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef NO_BUTTONSCOMMANDERENCODER</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classButtonsCommanderEncoder.html#a2d32ba9af1f29577aa9137f414caa3d3">   11</a></span>&#160;<a class="code" href="classButtonsCommanderEncoder.html#a2d32ba9af1f29577aa9137f414caa3d3">ButtonsCommanderEncoder::ButtonsCommanderEncoder</a>() : <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a>(<a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>)</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;}</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classButtonsCommanderEncoder.html#ae16003a4ee9c3b80c78194a8de43b8ac">   15</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderEncoder.html#ae16003a4ee9c3b80c78194a8de43b8ac">ButtonsCommanderEncoder::begin</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <span class="keywordtype">int</span> inPin1, <span class="keywordtype">int</span> inPin2, byte inMoveIncrement, <span class="keywordtype">int</span> inStartingValue, <span class="keywordtype">int</span> inMinimum, <span class="keywordtype">int</span> inMaximum)</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    this-&gt;<a class="code" href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">Id</a> = inId;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    this-&gt;pin1 = Arduino_to_GPIO_pin(inPin1);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    this-&gt;pin2 = Arduino_to_GPIO_pin(inPin2);</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    pinMode2f(this-&gt;pin1, INPUT);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    pinMode2f(this-&gt;pin2, INPUT);</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    digitalWrite2f(this-&gt;pin1, HIGH); <span class="comment">//turn pullup resistor on</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    digitalWrite2f(this-&gt;pin2, HIGH); <span class="comment">//turn pullup resistor on</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    this-&gt;moveIncrement = inMoveIncrement;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    this-&gt;incrementPosition = 0;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    this-&gt;lastEncoded = 0;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    this-&gt;mini = inMinimum;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    this-&gt;maxi = inMaximum;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    this-&gt;currentValue = inStartingValue;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    this-&gt;startingCurrentValue = inStartingValue;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classButtonsCommanderEncoder.html#a7fa7dfee89534eaa194aa578d53427a9">   35</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderEncoder.html#a7fa7dfee89534eaa194aa578d53427a9">ButtonsCommanderEncoder::loop</a>()</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_DEBUG_MODE</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordflow">if</span> (this-&gt;<a class="code" href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">Id</a> == <a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>)</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;This encoder have no ID defined : call begin() !&quot;</span>));</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">int</span> MSB = digitalRead2f(this-&gt;pin1); <span class="comment">//MSB = most significant bit</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">int</span> LSB = digitalRead2f(this-&gt;pin2); <span class="comment">//LSB = least significant bit</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">int</span> encoded = (MSB &lt;&lt; 1) | LSB; <span class="comment">//converting the 2 pin value to single number</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keywordflow">if</span> (encoded == 0)</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">int</span> sum = (this-&gt;lastEncoded &lt;&lt; 2) | encoded; <span class="comment">//adding it to the previous encoded value</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordtype">char</span> inc = 0;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keywordflow">if</span> (sum == 13 || sum == 4 || sum == 2 || sum == 11) inc = 1;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordflow">if</span> (sum == 14 || sum == 7 || sum == 1 || sum ==  8) inc = -1;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    </div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    this-&gt;lastEncoded = encoded; <span class="comment">//store this value for next time</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordflow">if</span> (inc == 0)</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordflow">if</span> (this-&gt;moveIncrement &gt; 1)</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    {</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        this-&gt;incrementPosition += inc;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        <span class="keywordflow">if</span> (abs(this-&gt;incrementPosition) &lt; this-&gt;moveIncrement)</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        {</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            <span class="keywordflow">return</span> <a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>;    <span class="comment">// needs to move more to obtain a position change...</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        }</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        this-&gt;incrementPosition = 0;    <span class="comment">// moves have been made enough to change position !</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    }</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordflow">if</span> (this-&gt;mini != this-&gt;maxi)</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    {</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="comment">// If the encoder has been defined with a mini/maxi interval,</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="comment">// move the value and return it !</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        this-&gt;currentValue += inc;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        <span class="keywordflow">if</span> (this-&gt;currentValue &gt; this-&gt;maxi)</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            this-&gt;currentValue = this-&gt;maxi;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keywordflow">if</span> (this-&gt;currentValue &lt; this-&gt;mini)</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            this-&gt;currentValue = this-&gt;mini;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classCommanders.html#a7adbe54da67e90e0d39b58d69ac3add0">Commanders::RaiseEvent</a>(this-&gt;<a class="code" href="classButtonsCommanderButton.html#acbdd1d63fed7736c7358105428fbfd9c">GetId</a>(), <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b">COMMANDERS_EVENT_MOVEPOSITION</a>, this-&gt;currentValue);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    }</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="comment">// if no interval defined, just return the move direction.</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classCommanders.html#a7adbe54da67e90e0d39b58d69ac3add0">Commanders::RaiseEvent</a>(this-&gt;<a class="code" href="classButtonsCommanderButton.html#acbdd1d63fed7736c7358105428fbfd9c">GetId</a>(), </div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;                                    <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a>, </div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;                                    inc &gt; 0 ? <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65">COMMANDERS_MOVE_MORE</a> : <a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d">COMMANDERS_MOVE_LESS</a>);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;}</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="keywordtype">void</span> ButtonsCommanderEncoder::printCommander()</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;{</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    Serial.println(F(<span class="stringliteral">&quot;    Encoder - Pin1:&quot;</span>));</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    Serial.print(GPIO_to_Arduino_pin(this-&gt;pin1));</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; / Pin2: &quot;</span>));</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    Serial.print(GPIO_to_Arduino_pin(this-&gt;pin2));</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; / Mini: &quot;</span>));</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    Serial.print(this-&gt;maxi);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    Serial.print(F(<span class="stringliteral">&quot; / Maxi: &quot;</span>));</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    Serial.println(this-&gt;maxi);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;}</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baae1923028184f9ee153eb5370ab58ca65">COMMANDERS_MOVE_MORE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00010">Events.h:10</a></div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baad77b8c7aff05833a7b178bf1318ce15d">COMMANDERS_MOVE_LESS</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00011">Events.h:11</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00029">Events.h:29</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca820fe8d0aad337114732954c5965e82b">COMMANDERS_EVENT_MOVEPOSITION</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00030">Events.h:30</a></div></div>
<div class="ttc" id="classCommanders_html_a7adbe54da67e90e0d39b58d69ac3add0"><div class="ttname"><a href="classCommanders.html#a7adbe54da67e90e0d39b58d69ac3add0">Commanders::RaiseEvent</a></div><div class="ttdeci">static unsigned long RaiseEvent(unsigned long inId, COMMANDERS_EVENT_TYPE inEvent = COMMANDERS_EVENT_MOVEPOSITIONID, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8cpp_source.html#l00027">Commanders.cpp:27</a></div></div>
<div class="ttc" id="classButtonsCommanderEncoder_html_a7fa7dfee89534eaa194aa578d53427a9"><div class="ttname"><a href="classButtonsCommanderEncoder.html#a7fa7dfee89534eaa194aa578d53427a9">ButtonsCommanderEncoder::loop</a></div><div class="ttdeci">unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderEncoder_8cpp_source.html#l00035">ButtonsCommanderEncoder.cpp:35</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a3b40667770ab04694a2ea85f11aebfe0"><div class="ttname"><a href="classButtonsCommanderButton.html#a3b40667770ab04694a2ea85f11aebfe0">ButtonsCommanderButton::Id</a></div><div class="ttdeci">unsigned long Id</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00019">ButtonsCommanderButton.hpp:19</a></div></div>
<div class="ttc" id="classButtonsCommanderEncoder_html_ae16003a4ee9c3b80c78194a8de43b8ac"><div class="ttname"><a href="classButtonsCommanderEncoder.html#ae16003a4ee9c3b80c78194a8de43b8ac">ButtonsCommanderEncoder::begin</a></div><div class="ttdeci">void begin(unsigned long inId, int inPin1, int inPin2, byte inMoveIncrement = 3, int inStartingCurrentValue = 0, int inMinimum = 0, int inMaximum = 0)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderEncoder_8cpp_source.html#l00015">ButtonsCommanderEncoder.cpp:15</a></div></div>
<div class="ttc" id="Events_8h_html_a48ad4dd16b8e22f2c8bc92b154479e92"><div class="ttname"><a href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a></div><div class="ttdeci">#define UNDEFINED_ID</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00038">Events.h:38</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html"><div class="ttname"><a href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00015">ButtonsCommanderButton.hpp:15</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_acbdd1d63fed7736c7358105428fbfd9c"><div class="ttname"><a href="classButtonsCommanderButton.html#acbdd1d63fed7736c7358105428fbfd9c">ButtonsCommanderButton::GetId</a></div><div class="ttdeci">unsigned long GetId() const </div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00030">ButtonsCommanderButton.hpp:30</a></div></div>
<div class="ttc" id="classButtonsCommanderEncoder_html_a2d32ba9af1f29577aa9137f414caa3d3"><div class="ttname"><a href="classButtonsCommanderEncoder.html#a2d32ba9af1f29577aa9137f414caa3d3">ButtonsCommanderEncoder::ButtonsCommanderEncoder</a></div><div class="ttdeci">ButtonsCommanderEncoder()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderEncoder_8cpp_source.html#l00011">ButtonsCommanderEncoder.cpp:11</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>ButtonsCommanderEncoder.cpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
